### Hierarchy

- DeepCopy<OfferShareData>
  - OfferShareData

## Index

### Constructors

- constructor

### Properties

- accepted
- clientId
- clientResponse
- offerOwner
- offerSearchId
- priceId
- worth

### Methods

- copy
- deepCopyFromJson

## Constructors

### constructor

- new OfferShareData(offerSearchId: number, clientResponse: string, priceId: number): OfferShareData

- - Defined in repository/models/OfferShareData.ts:10

  #### Parameters

  - ##### offerSearchId: number

  - ##### clientResponse: string

  - ##### priceId: number

  #### Returns OfferShareData

## Properties

### accepted

accepted: boolean = false

- Defined in repository/models/OfferShareData.ts:9

### clientId

clientId: string = "0x0"

- Defined in repository/models/OfferShareData.ts:6

### clientResponse

clientResponse: string = ""

- Defined in repository/models/OfferShareData.ts:7

### offerOwner

offerOwner: string = "0x0"

- Defined in repository/models/OfferShareData.ts:5

### offerSearchId

offerSearchId: number = 0

- Defined in repository/models/OfferShareData.ts:4

### priceId

priceId: number

- Defined in repository/models/OfferShareData.ts:10

### worth

worth: string = "0"

- Defined in repository/models/OfferShareData.ts:8

## Methods

### copy

- copy(changeArgs?: JsonObject<OfferShareData>): OfferShareData

- Inherited from DeepCopy.copy

  - Defined in repository/models/DeepCopy.ts:7

  #### Parameters

  - ##### Optional changeArgs: JsonObject<OfferShareData>

  #### Returns OfferShareData

### Protected deepCopyFromJson

- deepCopyFromJson(): OfferShareData

- Inherited from DeepCopy.deepCopyFromJson

  - Defined in repository/models/DeepCopy.ts:18

  #### Returns OfferShareData

Generated using TypeDoc